Skip to main content
GET
/
esim
/
packages
/
{packageId}
Get Package Details
curl --request GET \
  --url https://business.bfinance.app/external/api/esim/packages/{packageId} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "data": {
    "id": "12345",
    "price": 29.99,
    "unlimited": false,
    "data": {
      "quantity": 1000,
      "unit": "MB"
    },
    "voice": {
      "quantity": 200,
      "unit": "min"
    },
    "sms": {
      "quantity": 50
    },
    "validity": {
      "quantity": 30,
      "unit": "days"
    },
    "coverage": [
      {
        "name": "France",
        "flagUrl": "https://example.com/flags/fr.png",
        "network": [
          {
            "name": "Orange",
            "mobileStandards": [
              "2G",
              "3G",
              "4G"
            ]
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

packageId
string
required

The ID of the package to retrieve details for.

Response

Successfully retrieved package details.

status
string
Example:

"success"

data
object